## org.eclipse.datatools.connectivity.sqm.core.definition
Interface MetaDataExtension

    public interface MetaDataExtension

Method Summary
`int` `getMaximumIdentifierLength(SQLObject sqlObject)`
`org.eclipse.emf.ecore.EClass` `getMetaClass(java.lang.String metaClassName)`

Method Detail

### getMaximumIdentifierLength

    int getMaximumIdentifierLength(SQLObject sqlObject)

### getMetaClass

    org.eclipse.emf.ecore.EClass getMetaClass(java.lang.String metaClassName)